org.apache.mina.transport.nio

## Class FixedSelectorLoopPool

- java.lang.Object
- - org.apache.mina.transport.nio.FixedSelectorLoopPool

All Implemented Interfaces:
  SelectorLoopPool

    public class FixedSelectorLoopPool
    extends Object
    implements SelectorLoopPool

A fixed size pool of `SelectorLoop`.

Author:
  Apache MINA Project

### Constructor Summary

Constructors
Constructor and Description
`FixedSelectorLoopPool(String prefix, int size)` Create a pool of "size" `SelectorLoop`

### Method Summary

Methods
`SelectorLoop` `getSelectorLoop()` Get a `SelectorLoop` from the pool

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FixedSelectorLoopPool

    public FixedSelectorLoopPool(String prefix,
                         int size)

Create a pool of "size" `SelectorLoop`

Parameters:
  `size` -

### Method Detail

#### getSelectorLoop

    public SelectorLoop getSelectorLoop()

Get a `SelectorLoop` from the pool

Specified by:
  `getSelectorLoop` in interface `SelectorLoopPool`
Returns:
  a SelectorLoop from the pool